🚀 Introducing Agent Gateway — governance, observability, and control for your AI agents.  Register for live webinar ↗
curl -X DELETE https://api.portkey.ai/v1/threads/thread_abc123/messages/msg_abc123 \
-H "Content-Type: application/json" \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "OpenAI-Beta: assistants=v2"{
"id": "<string>",
"deleted": true,
"object": "thread.message.deleted"
}curl -X DELETE https://api.portkey.ai/v1/threads/thread_abc123/messages/msg_abc123 \
-H "Content-Type: application/json" \
-H "x-portkey-api-key: $PORTKEY_API_KEY" \
-H "x-portkey-virtual-key: $PORTKEY_PROVIDER_VIRTUAL_KEY" \
-H "OpenAI-Beta: assistants=v2"{
"id": "<string>",
"deleted": true,
"object": "thread.message.deleted"
}Documentation Index
Fetch the complete documentation index at: https://docs.portkey.ai/docs/llms.txt
Use this file to discover all available pages before exploring further.
The ID of the thread to which this message belongs.
The ID of the message to delete.
Was this page helpful?